# Partially updates a abstract setting with the specified ID.

This method will patch an existing abstract setting with the specified ID, using the HTTP PATCH specification.

Endpoint: PATCH /abstractSettings/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the abstract setting to patch.

## Request body:

  - `application/json` (unknown)
    The patch directives conforming to RFC 6902.

## Request fields (application/json):

  - `op` (string, required)
    The operation
    Enum: "add", "copy", "move", "remove", "replace", "test"

  - `path` (string, required)
    The JSON path

  - `value` (string)
    The updated value

## Response 200:

  - `200` (unknown)
    The abstract setting was patched successfully.

## Response 200 fields (application/json):

  - `abstract_instructions` (string)
    Show instructions to those submitting abstracts

  - `abstract_submission_options` (object, required)

  - `abstract_submission_options.close_date` (string, required)
    The close date for abstract submission

  - `abstract_submission_options.open_date` (string, required)
    The open date for abstract submission

  - `allow_presenters_to_manage_documents` (boolean)
    If true, presents can manage documents

  - `allow_presenters_to_modify_their_sessions` (boolean)
    If true, presenters are able to modify their session

  - `allow_speakers_to_modify_their_profiles` (boolean)
    If true, speakers can modify their profile information

  - `document_management_options` (object, required)

  - `document_management_options.deadline` (string, required)
    The deadline after which managing documents is no longer possible

  - `document_management_options.include_co_presenters` (boolean)
    If true, co-authors can change manage documents along with the presenter

  - `enable_hide_status` (boolean)
    Whether or not to hide abstract status in portal

  - `enable_online_abstract_submission` (boolean)
    Whether or not abstract submission is enabled

  - `id` (string, required)
    The unique, string identifier of this abstract settings

  - `notes` (string)

  - `presenter_instructions` (string)
    Show instructions to those presenters

  - `session_modification_options` (object, required)

  - `session_modification_options.deadline` (string, required)
    The deadline after which session modification is no longer possible

  - `session_modification_options.include_co_presenters` (boolean)
    If true, co-authors can change the session along with the presenter

  - `session_modification_options.session_form_id` (string, required)
    The form that should be shown to those looking to modify sessions in the portal

  - `show_status_date` (string, required)
    The date to show abstract status in the portal

  - `speaker_profile_modification_options` (object, required)

  - `speaker_profile_modification_options.deadline` (string, required)
    The deadline after which you cannot change the speaker bio

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The JSON patch directive you supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The abstract setting could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The abstract setting could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve abstract setting based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

